# Qt webkit git repository
# https://gitorious.org/+qt-developers/qt/webkit

%define subrel  1

Name:           qtwebkit
Summary:        Qt WebKit bindings
Group:          Development/KDE and Qt
Version:        2.3.0
Release:        %mkrel 1
License:        LGPLv2 with exceptions or GPLv3 with exceptions
URL:            http://trac.webkit.org/wiki/QtWebKit
# Tarball was created following this step
# git clone git://gitorious.org/+qtwebkit-developers/webkit/qtwebkit.git ; cd qtwebkit 
# git archive --prefix=qtwebkit-2.2.2/ qtwebkit-2.2.2 autogen.sh ChangeLog configure.ac GNUmakefile.am Makefile Source/ Tools/ -o qtwebkit-2.2.2.tar
# xz -9  qtwebkit-2.2.2.tar.xz
# We're using git to create tarball because upstream tarball is around 500mo and we're using just a small part of this to build package
Source0:        %name-developers-%name-23-%name-%{version}.tar.gz


# Patch from branch 100-200

# Patch from trunk 200-300

# Patch from mageia/fedora/others 300-400
# Patch300 to fix build with glib 2.3.1
Patch300:         qtwebkit-2.2-glib231.patch

# Patch301 to fix build https://bugs.webkit.org/show_bug.cgi?id=63941
Patch301:         qtwebkit-2.2-Werror.patch
Patch302:         qtwebkit-2.2.2-no-use-ld-gold.patch
Patch303:         qtwebkit-2.2.2-fix-build-bison.patch
Patch304:	  qtwebkit-2.2.2-gcc4.7.patch

BuildRequires:  pkgconfig(QtCore)  < 5.0.0
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(phonon)
#BuildRequires:  pkgconfig(icu-io)
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(gstreamer-app-0.10)
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gperf
BuildRequires:  chrpath
BuildRequires:  qt-mobility-devel
BuildRequires:  ruby

#BuildRequires:	pkgconfig(libpcre)
#BuildRequires:	perl-Switch


%description
Qt WebKit library is an open source web browser engine.

#------------------------------------------------------------------------------

%define major 4
%define api 2.2
%define libname %mklibname %name %api %major
%define oldwebkit %mklibname qtwebkit 4

%package -n %libname
Summary:        Qt Webkit 2.2 Library
Group:          System/Libraries
Requires:       qtwebkit-qmlplugin
Obsoletes:      %oldwebkit < 4:4.7.4-6

%description -n %libname

This package provides the runtime library for %{name}.

%files -n %libname
%{_qt4_libdir}/libQtWebKit.so.%{major}*

#------------------------------------------------------------------------------

%package -n qtwebkit-qmlplugin
Summary: QML plugin for QtWebKit
Group: System/Libraries
Conflicts:  %libname < 2.2.0-1

%description -n qtwebkit-qmlplugin

This package provides the qml plugin for QtWebKit.

%files -n qtwebkit-qmlplugin
%{_qt4_importdir}/QtWebKit/

#------------------------------------------------------------------------------

%define libnamedev %mklibname %name %api -d
%define oldwebkitdevel %mklibname qt 4 -d

%package -n %libnamedev
Summary:        Qt Webkit 2.2 Development Files
Group:          Development/KDE and Qt
Requires:       %{libname} = %{version}-%{release}
Requires:	qt4-devel
Requires:	qt-mobility-devel
Provides:       %{name}-devel = %{version}-%{release}
Conflicts:      %oldwebkitdevel < 4:4.7.4-6


%description -n %libnamedev
Development files to build applications against Qt Webkit 2.2.x

%files -n %libnamedev
%{_qt4_datadir}/mkspecs/modules/qt_webkit.pri
%{_qt4_includedir}/QtWebKit/
%{_qt4_libdir}/libQtWebKit.prl
%{_qt4_libdir}/libQtWebKit.so
%{_qt4_libdir}/pkgconfig/QtWebKit.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n webkit-qtwebkit-23/
#apply_patches

%build 
PATH="%{_qt4_bindir}:$PATH"; export PATH
QTDIR=%{_qt4_prefix}; export QTDIR

Tools/Scripts/build-webkit \
  --makeargs="%{_smp_mflags}" \
  --qt \
  --3d-rendering \
  --release \
%ifarch %{ix86}
 --no-force-sse2
%endif
  
%install
%makeinstall -C WebKitBuild/Release INSTALL_ROOT=%{buildroot}

# Remove rpath
chrpath --list   %{buildroot}%{_qt4_libdir}/libQtWebKit.so.4.9.0 ||:
chrpath --delete %{buildroot}%{_qt4_libdir}/libQtWebKit.so.4.9.0 ||:


%changelog
* Thu May 23 2013 neoclust <neoclust> 2.3.0-1.1.mga3
+ Revision: 425387
- Fix crashes in 32bit machines w/o sse2 ( mga # 10157)

* Mon Mar 25 2013 neoclust <neoclust> 2.3.0-1.mga3
+ Revision: 405217
- New version 2.3.0

* Sun Jan 13 2013 umeabot <umeabot> 2.2.2-5.mga3
+ Revision: 380065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 fwang <fwang> 2.2.2-4.mga3
+ Revision: 290279
- force qt4 flavour

* Sat Sep 08 2012 fwang <fwang> 2.2.2-3.mga3
+ Revision: 290267
- fix build with gcc 4.7
- replace patch with upstream r124099
- force to bond with qt4

  + neoclust <neoclust>
    - Fix build with new bison
    - Make sure to not build against Qt5

* Thu May 31 2012 mikala <mikala> 2.2.2-1.mga3
+ Revision: 252095
- Update tarball to QtWebkit 2.2.2

* Sun Apr 08 2012 mikala <mikala> 2.2.1-4.mga2
+ Revision: 229674
- Update tarball to sync standalone version with the version shipped in Qt 4.8.1
- Remove old tarball
- Rediff patch301

* Wed Jan 25 2012 mikala <mikala> 2.2.1-3.mga2
+ Revision: 200681
- Rebuild for Qt4.8 (new qtprefix)

* Mon Dec 26 2011 dmorgan <dmorgan> 2.2.1-2.mga2
+ Revision: 187963
- Rebuild against new qt4 and new include path

* Sat Dec 24 2011 mikala <mikala> 2.2.1-1.mga2
+ Revision: 187242
- Update tarball to 2.2.1

* Sun Dec 18 2011 mikala <mikala> 2.2.0-2.mga2
+ Revision: 184040
- Fix libification (split out the qml plugin is in own package)

* Sun Dec 11 2011 mikala <mikala> 2.2.0-1.mga2
+ Revision: 180488
- Enable qt-mobility-devel as BR
- Add patchs from fedora :
 - patch300 to fix build with glib 2.31
 - patch301 to fix build with gcc 4.6
- sync spec with fedora's one (use of chrpath)
- Remove wrong epoch
- Update to qtwebkit2.2
- remove epoch
- use api 2.2 to for library & devel package name
- conflicts against the qtwebkit package from qt package without version
- remove %%defattr()
- use pkgconfig() for BR
- br sqlite3 & not sqlite
- remove useless BR
- drop patch100
- remove useless provides added on a package which is not build at all
- enable  3d-canvas & 3d-rendering
- remove macro definition since there's already provided by qt4-devel

  + ze <ze>
    - imported package qtwebkit


* Mon Aug 08 2011 Zé <ze@mandriva.org> 2.2-0.git20110808.1.mde2
- move to tag qtwebkit-2.2-week31 (SHA 66b76cd)
- change versioning to a fix date (theres a tag shedule)

* Sat Aug 06 2011 Zé <ze@mandriva.org> 2.2-0.git20110806.1.mde2
- sync git repo (revision 4e1a62f..6c2f6bb)

* Tue Jul 26 2011 Zé <ze@mageia.org> 2.2-0.git2011726.1.mde2
- move to branch 2.2 (SHA 4e1a62f)
- update patches

* Fri Jul 22 2011 Zé <ze@mageia.org> 2.1-0.git2011722.1.mde2
- first package
- from branch 2.1 (revision 0f2aaa0..4e1a62f)
